HGAME(4)

NAME
hgame - generic HID gamepad, joystick, and controller evdev driver

SYNOPSIS
device hgame
device hid
device hidbus
device hidmap
device evdev

In sysctl.conf(5):
dev.hgame.X.debug

In loader.conf(5):
hw.hid.hgame.debug
hgame_load

DESCRIPTION
The hgame driver supports generic game controllers that attach to the HID transport backend, and presents them to applications over the evdev interface.

If the appropriate hardware is detected, the driver will be loaded automatically by devmatch(8). To load the driver manually at boot time, set the hgame_load variable to YES at the loader(8) prompt, or add it to loader.conf(5).

To give user applications access to the game controllers, allow user access to the /dev/input/event* nodes with inclusion of user in the games group.

HARDWARE
The hgame driver supports HID gamepads, joysticks, and controllers such as:

•   8bitdo USB Wireless Adapter 2

SYSCTL VARIABLES
The following variable is available as both sysctl(8) variable and loader(8) tunable:

dev.hgame.X.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

It's default value is set with loader(8) tunable:

hw.hid.hgame.debug

FILES
/dev/input/event*
    input event device (evdev) node

SEE ALSO
iichid(4), ps4dshock(4), usbhid(4), xb360gp(4), devfs.rules(5)

HISTORY
The hgame driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The hgame driver was written by Val Packett <val@packett.cool>.

This manual page was written by Vladimir Kondratyev <wulf@FreeBSD.org>.